/*
    Class code Set 02
    author: Jim Roberts  
               copyright © Jim Roberts
               May 17, 2011
               Pittsburgh 15221 
               All Rights Reserved
    
    Introduction to:
        type float
        variables of type float
        declaring variables of type float
        assigning values to variables of type float
        arithmetic 
           addition +
           subtraction -
           multiplication  * 
           
        expressions using variables and arithmetic as 
           arguments for function calls
        
        (Possible) New functions include:
           ellipseMode( CORNER )
           beginShape( )
           endshape( )
           curveVertix( )
           
     The greek leter theta is drawn using variables x and y 
     as the anchor point for the upper left corner of a 
     virtual box that encloses the letter. 
     The variable wd  holds the "initial width" value 
     which is the the horizontal size of virtual box s
     urrounding the initial.
     The variable ht  holds the "initial height" value 
     which is the the vertical size of virtual box 
 surrounding the initial.
         
*/


size( 400, 400 );

smooth( );

//   This allows Jim to specify the ellipsse by the location 
//   of the upper left corner.
ellipseMode( CORNER );

background( 0, 0, 255 );


//  This declares the four variables of type float.
float x, y, wd, ht;

//  This assigns values to the four variables.

x = 100;
y = 100;
wd = 200;
ht = 200;

noFill( );
strokeWeight( 5 );
stroke( 255 );


//   This draws the ellipse using variables instead of 
//   magic numbers.
ellipse( x, y, wd, ht );

// mark all points used to draw the curve
strokeWeight( 10 );
  stroke( 255, 0, 0 );  // red
  point( x - ( .25 * wd),   y + ( .75 * ht) );   // a control point
  
  stroke( 255, 255, 0 );  // yellow
  point( x              ,   y + (  .5 * ht) );
  point( x + ( .25 * wd),   y + ( .40 * ht) );  
  point( x + (  .5 * wd),   y + (  .5 * ht) );  
  point( x + ( .75 * wd),   y + ( .60 * ht) );
  point( x +         wd ,   y + (  .5 * ht) );
 
  stroke( 255, 0, 0 );  // red
  point( x + (1.25 * wd), y + ( .25 * ht) );   // a control point


stroke( 255 );
strokeWeight( 3 );
//  This function "tells" processing that the following 
//  points are part of a single shape
beginShape( );
/*
   The following seven function specify the points overwhich 
   the curve must fit.
   The first and last curveVertex points are not drawn --
     they are reference points that allow Processing to 
     do the proper arithmetic.
   The expressions are evaluated using the current 
   values of x, y, wd, and ht.  The result of each 
   expressoin evaluatis used as the argument for 
   the function call.
 */ 
 

  curveVertex( x - ( .25 * wd),   y + ( .75 * ht) );   // a control point
  
  curveVertex( x              ,   y + (  .5 * ht) );
  curveVertex( x + ( .25 * wd),   y + ( .40 * ht) );  
  curveVertex( x + (  .5 * wd),   y + (  .5 * ht) );  
  curveVertex( x + ( .75 * wd),   y + ( .60 * ht) );
  curveVertex( x +         wd ,   y + (  .5 * ht) );
 
  curveVertex( x + (1.25 * wd), y + ( .25 * ht) );   // a control point


endShape( );

saveFrame( "theta.jpg" );
